## unity-launcher-toggle 12.07.3-extras12.04.1

=== debian/changelog ===
unity-launcher-toggle (12.07.3-extras12.04.1) precise; urgency=low

  * New release.

 -- David Pan <dalpivand@gmail.com>  Sat, 07 Jul 2012 13:03:05 -0400
