=== debian/control ===
Source: unity-launcher-toggle
Section: python
Priority: extra
Build-Depends: debhelper (>= 8),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10),
 libglib2.0-bin
Maintainer: David Pan <dalpivand@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: unity-launcher-toggle
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 python-gconf,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-appindicator3-0.1
Description: application indicator for toggling the Unity launcher mode
 Unity Launcher Toggle is an application indicator for toggling the Unity
 launcher mode (fixed or auto-hide).
